Bug 19034 - Playlist! We need it to <em>easy</em> define.
Playlist! We need it to <em>easy</em> define.
Status: RESOLVED LATER
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:57 UTC by contributor
Modified: 2012-09-25 22:26 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:57:15 UTC
This was was cloned from bug 10711 as part of operation LATER convergence.
Originally filed: 2010-09-24 08:00:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2010-09-24 08:00:18 +0000 
--------------------------------------------------------------------------------
Section: http://www.whatwg.org/specs/web-apps/current-work/#the-source-element

Comment:
Playlist! We need it to <em>easy</em> define.

Posted from: 83.31.38.230
================================================================================
 #1   Silvia Pfeiffer                                 2010-09-24 08:39:27 +0000 
--------------------------------------------------------------------------------
It would be possible to support something like XSPF http://xspf.org/ or mediaRSS http://www.rssboard.org/media-rss could be supported as input format to media elements. It's an indirection though.

An alternative is to run your own in JavaScript using the media.load() function on a list of files.

The biggest question comes when (and if) we want to support standard playlist functionality in browsers, such as forward to next file/rewind to previous - then we need additions to the JavaScript API and possibly to the @controls user controls.
================================================================================
 #2   Ian 'Hixie' Hickson                             2010-09-29 07:10:23 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: none yet
Rationale: Playlists are similar to the media element synchronisation problem, except that instead of having one timeline that is synchronised across multiple elements, it's handling switching from one to another in real time. I think we'll probably have some sort of Controller object that gets a list of media elements and a configuration for how they relate. That's not for this version though.
================================================================================